<template lang="pug">
  .memberstate.pa2.br3.pointer.flex.items-center.w-100(
    @click="$emit('click', member)"
    :class="{'bg-near-white': active}"
  )
    .memberstate__avatar.pr2
      .cover.br-100.bg-moon-gray(:style="avatarStyle")
        .aspect-ratio.aspect-ratio--1x1
    .memberstate__content(:class="{b: !member.isRead}")
      .black {{member.booking.roomId}} - {{member.booking.username}}
      .f6.flex.items-center.justify-between
        chat-log.gray(:log="lastChat" :plain="true")
        .light-silver {{lastTime}}

</template>
<script>
import moment from 'moment'
import { issueMixin } from '~/utils/mixins'
import ChatLog from '~/components/ChatLog'

export default {
  components: {
    ChatLog
  },
  mixins: [issueMixin],
  props: {
    member: {
      type: Object,
      required: true
    },
    active: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    meta () {
      return this.member.booking.channelMeta
    },
    avatarStyle () {
      if (this.meta && this.meta.profilePic) {
        return {
          backgroundImage: `url('${this.meta.profilePic}')`
        }
      }
      return {}
    },
    lastChat () {
      const logs = this.member.logs
      if (logs.length > 0) {
        return logs[logs.length - 1]
      }
      return null
    },
    lastTime () {
      if (this.lastChat) {
        return moment(this.lastChat.createdAt).fromNow()
      }
      return ''
    }
  }
}
</script>
<style lang="scss" scoped>
.memberstate {
  $avatarWdith: 3.5rem;
  &__avatar {
    width: $avatarWdith;
  }
  &__content {
    width: calc(100% - #{$avatarWdith});
  }
  .chatlog {
    max-width: calc(100% - 3rem);
  }
}
</style>
